function video_data_vincent2_display

% RIS is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
% 
% RIS is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
% or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
% for more details.
% 
% You should have received a copy of the GNU General Public License along
% with this program; if not, write to the Free Software Foundation, Inc.,
% 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

close all

%bound_retext
do_crop

function bound_retext
close all;

i_img = 1;
img = imread(sprintf('video_vincent/retext_b1/%03d.png', i_img));

imshow(img);


function do_crop
% iimin = 17;
% iimax = 343;
% jjmin = 16;
% jjmax = 373;
iimin = 25;
iimax = 480;
jjmin = 91;
jjmax = 607;

IMG_MIN = 1;
IMG_MAX = 217;

for i_img = IMG_MIN:IMG_MAX
    disp(i_img);
    
%     img_p1 = imread(sprintf('video_vincent/p1/%03d.png', i_img));
%     imwrite(img_p1(iimin:iimax,jjmin:jjmax,:), ...
%         sprintf('video_vincent/crop/p1/%03d.png', i_img));
%     
%     img_r1 = imread(sprintf('video_vincent/r1/%03d.png', i_img));
%     imwrite(img_r1(iimin:iimax,jjmin:jjmax,:), ...
%         sprintf('video_vincent/crop/r1/%03d.png', i_img));
%     
%     img_s = imread(sprintf('video_vincent/s/%03d.png', i_img));
%     imwrite(img_s(iimin:iimax,jjmin:jjmax,:), ...
%         sprintf('video_vincent/crop/s/%03d.png', i_img));
%     
%     img_b1 = imread(sprintf('video_vincent/b1/%03d.png', i_img));
%     imwrite(img_b1(iimin:iimax,jjmin:jjmax,:), ...
%         sprintf('video_vincent/crop/b1/%03d.png', i_img));
%     
%     img_b2 = imread(sprintf('video_vincent/b2pp/%03d.png', i_img));
%     imwrite(img_b2(iimin:iimax,jjmin:jjmax,:), ...
%         sprintf('video_vincent/crop/b2/%03d.png', i_img));
    




%     img_s = imread(sprintf('video_vincent/text_s/%03d.png', i_img));
%     imwrite(img_s(iimin:iimax,jjmin:jjmax,:), ...
%         sprintf('video_vincent/crop/text_s/%03d.png', i_img));
%     
%     img_b1 = imread(sprintf('video_vincent/text_b1/%03d.png', i_img));
%     imwrite(img_b1(iimin:iimax,jjmin:jjmax,:), ...
%         sprintf('video_vincent/crop/text_b1/%03d.png', i_img));
%     
%     img_b2 = imread(sprintf('video_vincent/text_b2/%03d.png', i_img));
%     imwrite(img_b2(iimin:iimax,jjmin:jjmax,:), ...
%         sprintf('video_vincent/crop/text_b2/%03d.png', i_img));

%     img_s = imread(sprintf('video_vincent/retext_s/%03d.png', i_img));
%     imwrite(img_s(iimin:iimax,jjmin:jjmax,:), ...
%         sprintf('video_vincent/crop/retext_s/%03d.png', i_img));
%     
%     img_b1 = imread(sprintf('video_vincent/retext_b1/%03d.png', i_img));
%     imwrite(img_b1(iimin:iimax,jjmin:jjmax,:), ...
%         sprintf('video_vincent/crop/retext_b1/%03d.png', i_img));
%     
%     img_b2 = imread(sprintf('video_vincent/retext_b2/%03d.png', i_img));
%     imwrite(img_b2(iimin:iimax,jjmin:jjmax,:), ...
%         sprintf('video_vincent/crop/retext_b2/%03d.png', i_img));



%     img = imread(sprintf('video_vincent/img/%08d.png', i_img));
%     imwrite(img(iimin:iimax,jjmin:jjmax,:), ...
%         sprintf('video_vincent/crop/img/%03d.png', i_img));

    img = imread(sprintf('video_vincent/crop/img/%03d.png', i_img));
    img = imresize(img, [327 nan]);
    imwrite(img, ...
        sprintf('video_vincent/crop/img_res/%03d.png', i_img));
end


   
function calc_bound
close all

IMG_MIN = 1;
IMG_MAX = 217;

iimin = inf;
iimax = -inf;
jjmin = inf;
jjmax = -inf;
for i_img = IMG_MIN:IMG_MAX
    disp(i_img);
    
    img_p1 = imread(sprintf('video_vincent/p1/%03d.png', i_img));
    [imin imax jmin jmax] = find_bounds(sum(img_p1,3));
    iimin = min(iimin, imin);
    iimax = max(iimax, imax);
    jjmin = min(jjmin, jmin);
    jjmax = max(jjmax, jmax);
    
    img_r1 = imread(sprintf('video_vincent/r1/%03d.png', i_img));
    [imin imax jmin jmax] = find_bounds(sum(img_r1,3));
    iimin = min(iimin, imin);
    iimax = max(iimax, imax);
    jjmin = min(jjmin, jmin);
    jjmax = max(jjmax, jmax);
    
    img_s = imread(sprintf('video_vincent/s/%03d.png', i_img));
    [imin imax jmin jmax] = find_bounds(sum(img_s,3));
    iimin = min(iimin, imin);
    iimax = max(iimax, imax);
    jjmin = min(jjmin, jmin);
    jjmax = max(jjmax, jmax);
    
    img_b1 = imread(sprintf('video_vincent/b1/%03d.png', i_img));
    [imin imax jmin jmax] = find_bounds(sum(img_b1,3));
    iimin = min(iimin, imin);
    iimax = max(iimax, imax);
    jjmin = min(jjmin, jmin);
    jjmax = max(jjmax, jmax);
    
    img_b2 = imread(sprintf('video_vincent/b2pp/%03d.png', i_img));
    [imin imax jmin jmax] = find_bounds(sum(img_b2,3));
    iimin = min(iimin, imin);
    iimax = max(iimax, imax);
    jjmin = min(jjmin, jmin);
    jjmax = max(jjmax, jmax);
end

figure(1);
imshow(img_p1);
hold on;
plot([jjmin jjmax], [iimin iimin], 'r');
plot([jjmax jjmax], [iimin iimax], 'r');
plot([jjmax jjmin], [iimax iimax], 'r');
plot([jjmin jjmin], [iimax iimin], 'r');

iimin
iimax
jjmin
jjmax

function [imin imax jmin jmax] = find_bounds(img)

si = sum(img, 2);

imin = 1;
while true
    if si(imin) > 0
        break;
    end
    imin = imin + 1;
end

imax = size(img,1);
while true
    if si(imax) > 0
        break;
    end
    imax = imax - 1;
end

sj = sum(img);

jmin = 1;
while true
    if sj(jmin) > 0
        break;
    end
    jmin = jmin + 1;
end

jmax = size(img, 2);
while true
    if sj(jmax) > 0
        break;
    end
    jmax = jmax - 1;
end
